io.netty.handler.codec.mqtt

## Class MqttProperties.BinaryProperty

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.MqttProperty<byte[]>
  - - io.netty.handler.codec.mqtt.MqttProperties.BinaryProperty

Enclosing class:
  MqttProperties

    public static final class MqttProperties.BinaryProperty
    extends MqttProperties.MqttProperty<byte[]>

### Constructor Summary

Constructors
Constructor and Description
`BinaryProperty(int propertyId, byte[] value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttProperties.MqttProperty

`equals, hashCode, propertyId, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryProperty

    public BinaryProperty(int propertyId,
                          byte[] value)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`